#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-
from distutils.core import setup, Extension
import sys; sys.path.append("src")
from version import version

classifiers = ["Development Status :: 5 - Production/Stable",
               "Environment :: Console :: Curses",
               "Intended Audience :: End Users/Desktop",
               "License :: OSI Approved :: GNU General Public License (GPL)",
               "Programming Language :: Python",
               "Topic :: Multimedia :: Sound/Audio :: Players"]

if sys.version_info >= (2, 3):
    addargs = {"classifiers": classifiers}
else:
    addargs = {}

setup(name="PyTone",
      version=version,
      description="Powerful music jukebox with a curses based GUI.",
      author="Jrg Lehmann",
      author_email="joerg@luga.de",
      url="http://www.luga.de/pytone/",
      license="GPL",
      package_dir={"pytone": "src"},
      packages=["pytone", "pytone.services", "pytone.services.players", "pytone.services.songdbs"],
      ext_modules=[Extension("pytone.pcm", sources=["src/pcm/pcm.c"])],
      data_files=[('/usr/share/locale/de/LC_MESSAGES', ['locale/de/LC_MESSAGES/PyTone.mo']),
                  ('/etc', ['conf/pytonerc']),
                  ('/usr/bin', ['pytone'])],
      **addargs
      )
